Net::LDNS::RR::NSEC3(3pm)

NAME
Net::LDNS::RR::NSEC3 - Type NSEC3 record

DESCRIPTION
A subclass of Net::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

algorithm()
    Returns the algorithm number.

flags()
    Returns the flags field.

optout()
    Returns the optout flag.

iterations()
    Returns the iteration count.

salt()
    Returns the cryptographic salt, in binary form.

next_owner()
    Returns the next owner field.

typelist()
    Returns the typelist as a space-separated string.

typehref()
    Returns the typelist as a reference to a hash where the included types are keys storing true values.

covers($name)
    Returns true or false depending on if the record covers the given name or not.